
/* DEBUG */

/**
 * 
 * - debug() function calls
 * - debugInit from the init() function
 * 
 * 
 */

var debugEl;

function debugInit()
{
	if (debugControl_INTERVAL) {
		feedUpdateTime = -1;
	}
	if (debugEnabled) {
		var debugLinkContainers = new Array();
		debugLinkContainers.push(document.getElementById('wrap'));
		debugLinkContainers.push(document.getElementById('homeScreen'));
		var ii;
		for (ii=0;ii<debugLinkContainers.length;ii++) {
			var element = debugLinkContainers[ii];

			var linkContainer = document.createElement('div');
			linkContainer.innerHTML = '<p><a href="" onclick="feedUpdateTime=(feedUpdateTime==-1?0:-1); return false;">Toggle update</a></p>';
			element.appendChild(linkContainer);
			
			var linkContainer = document.createElement('div');
			linkContainer.innerHTML = '<p><a href="" onclick="if (manualResolution!=RESOLUTION_UNDEFINED) {manualResolution=RESOLUTION_UNDEFINED; } else {manualResolution=RESOLUTION_HOME_SCREEN; }; updateMode(); return false;">change resolution</a></p>';
			element.appendChild(linkContainer);
			
			var linkContainer = document.createElement('div');
			linkContainer.innerHTML = '<p><a href="" onclick="debugEvent(); return false; ">launch debugEvent</a></p>';
			element.appendChild(linkContainer);

			var linkContainer = document.createElement('div');
			linkContainer.innerHTML = '<p><a href="" onclick="debugNavigationType(); return false; ">debugNavigationType</a></p>';
			element.appendChild(linkContainer);

			var linkContainer = document.createElement('div');
			linkContainer.innerHTML = '<p><a href="" onclick="debugNavigationEnabled(); return false; ">debugNavigationEnabled</a></p>';
			element.appendChild(linkContainer);

			var linkContainer = document.createElement('div');
			linkContainer.innerHTML = '<p><a href="" onclick="updateFeedTimerFunc(); return false; ">updateFeedTimerFunc</a></p>';
			element.appendChild(linkContainer);
		}
		if(debugControl_RESOLUTION) {
			resolution = RESOLUTION_HOME_SCREEN;
			manualResolution = RESOLUTION_UNDEFINED;
			updateMode();
		}

		debug("Init completed");
	}
}

function debug(message)
{
	if (debugEnabled) {
		if (!debugEl) {
			debugEl = document.createElement('p');
			debugEl.innerHTML = 'DEBUG MESSAGES';
			document.getElementById('content').appendChild(debugEl);
		}
		if (console && typeof console.log == 'function') {
			console.log(message);
		}
		debugEl.appendChild(document.createElement('br'));
		debugEl.appendChild(document.createTextNode(new Date().toTimeString().split(' ')[0]+" "+ message));
	}
}

var debug_NavigationType = 'cursor';
function debugNavigationType() {
	if (debug_NavigationType == 'cursor') {
		widget.setNavigationType('tabbed');
		debug_NavigationType = 'tabbed';
	}
	else if (debug_NavigationType == 'tabbed'){
		widget.setNavigationType('none');
		debug_NavigationType = 'none';
	}
	else {
		widget.setNavigationType('cursor');
		debug_NavigationType = 'cursor';
	}
	alert('debug_NavigationType: '+debug_NavigationType);
}

var debug_NavigationEnabled = false;
function debugNavigationEnabled() {
	if (debug_NavigationEnabled) {
		widget.setNavigationEnabled(false);
		debug_NavigationEnabled = false;
	}
	else {
		widget.setNavigationEnabled(true);
		debug_NavigationEnabled = true;
	}
	alert('debug_NavigationEnabled: '+debug_NavigationEnabled);
}


var debugCounter = 0;
function debugEvent() {
	debug('DEBUG COUNTER =='+debugCounter)
	if (debugCounter == 1) {
		var lastModified = new Date(100000);
		feedUpdateCompleted({status: "ok", lastModified: lastModified,
			items: [
			{title: 'title1',date: new Date(100000),description: 'description1',url:'http://forumnokia.mobi'}
			]
		});
	}
	else if (debugCounter == 2) {
		var lastModified = new Date(300000);
		feedUpdateCompleted({status: "ok", lastModified: lastModified,
			items: [
			{title: 'title3',date: new Date(300000),description: 'description3',url:'http://forumnokia.mobi'},
			{title: 'title2',date: new Date(200000),description: 'description2',url:'http://forumnokia.mobi'},
			{title: 'title1',date: new Date(100000),description: 'description1',url:'http://forumnokia.mobi'}
			]
		});
	}
	else if (debugCounter == 3) {
		var lastModified = new Date(300000);
		feedUpdateCompleted({status: "ok", lastModified: lastModified,
			items: [
			{title: 'title4',date: new Date(300000),description: '1<br/>2<br/>3<br/>4<br/>5<br/>6<br/>7<br/>8<br/>9<br/>10<br/>11<br/>12<br/>13<br/>14<br/>15<br/>16<br/>17<br/>18<br/>19<br/>20',url:'http://forumnokia.mobi'},
			{title: 'title3',date: new Date(300000),description: 'description3',url:'http://forumnokia.mobi'},
			{title: 'title2',date: new Date(200000),description: 'description2',url:'http://forumnokia.mobi'},
			{title: 'title1',date: new Date(100000),description: 'description1',url:'http://forumnokia.mobi'}
			]
		});
	}
	else if (debugCounter == 4) {
		updateFeed();
		
		feedUpdateCompleted({status: "ok", lastModified: null,
			items: [
			]
		});
	}
	else if (debugCounter == 5) {
		updateStatusInfo(STATUS_MESSAGE_CONNECTION_INFO,false);
	}
	else if (debugCounter == 6) {
		updateStatusInfo(STATUS_MESSAGE_LAST_CHECK,false);
	}
	else if (debugCounter >= 7 && debugCounter < 7+CONNECTION_STATUS_ERROR_EMPTY) {
		connectionStatus = debugCounter - 7;
		updateStatusInfo(STATUS_MESSAGE_CONNECTION_INFO,true);
	}
	debugCounter++;
}


var debugControl_RESOLUTION = false;
var debugControl_INTERVAL = false;
var debugControl_AJAXTHING = false;

var debugEnabled = false;
