	
function MiniView() {

}

MiniView.prototype.onActivated = function() {
	// Get the refresh rate.
	this.activated=1;
	var refresh = parseInt( widget.preferenceForKey( 'refresh' ) );
	if ( isNaN( refresh ) ) {
		refresh = 30000; // Default to 30 seconds.
	}

	// Start the timer which refreshes the miniview.
	var self = this;
	this.timerId = setInterval( function(){
		self.refresh();
	}, refresh );
	// Timer will trigger after the refresh period so refresh manually now.
	this.refresh();
}

MiniView.prototype.refresh = function() {
	var self = this;
	if (mveo == 0) {
		UpdateBroker = new FeedUpdateBroker();
		UpdateBroker.fetchFeed(basicurl + "live.xml", this.reDraw, 'item');
	} else {
		Helper.show("mini_view_content",false);
		Helper.show("mini_view_content2",true);		
	}	
	mveo=(mveo==0 ? 1 : 0);
}

MiniView.prototype.reDraw = function (e) {
	this.tr=(this.tr==0 ? 1 : 0);
	if (this.tr == 0) {
		var mv1=document.getElementById('mv_left');
		var mv2=document.getElementById('mv_right');
		var mv3=document.getElementById('mv_left2');
		var mv4=document.getElementById('mv_right2');
		for (i = 0; i < e.items.length; i++) {
			var c='';
			var a = e.items[i];
			if (a['type'] == 'score') {
				c=c+'<table width="100%"><td class="flagl"><img src="'+Helper.flag(a['hometeam'])+'" /></td><td class="mvr">'+a['result']+'<br/><span class="mini">'+a['time']+'</span></td><td class="flagr"><img src="'+Helper.flag(a['awayteam'])+'" /></td></tr></table>';
			}
			switch(i) {
				case 0:
					mv1.innerHTML=c;break;
				case 1:
					mv2.innerHTML=c;break;
				case 2:
					mv3.innerHTML=c;break;
				case 3:
					mv4.innerHTML=c;break;
			}
		}
		Helper.show("mini_view_content2",false);
		Helper.show("mini_view_content",true);
	}
}

MiniView.prototype.onDeactivated = function() {
	// Stop timer.
	if (this.activated > 0) {
		splash();
		this.activated=0;
	}
	clearInterval( this.timerId );	
		
}