var miniView;
var mveo=0;
var basicurl='http://nokia.hokej.sk/';

function init(){
	widget.setNavigationEnabled(false); 
	miniView = new MiniView();
	loadStringTable();
	Helper.applyCorrectStyles();
	var miUpdate = new MenuItem( StringTable.HTML.menu_zapasy, 9001 );
	miUpdate.onSelect = function () { menuclicked(1); };
	menu.append(miUpdate);
	var miUpdate = new MenuItem( StringTable.HTML.menu_tabulky, 9002 );
	miUpdate.onSelect = function () { menuclicked(2); };
	menu.append(miUpdate);
	var miUpdate = new MenuItem( StringTable.HTML.menu_stats, 9003 );
	miUpdate.onSelect = function () { menuclicked(3); };
	menu.append(miUpdate);
	var miUpdate = new MenuItem( StringTable.HTML.menu_news, 9004 );
	miUpdate.onSelect = function () { menuclicked(4); };
	menu.append(miUpdate);
	setTimeout("Helper.show('top_bar',true);Helper.show('logo_bar',true);Helper.show('splash',false);onResize();menuclicked(1);",3000);
}

function loadStringTable() {
	for ( var name in StringTable.HTML ) {
		var element = document.getElementById( name );
		element.innerHTML = StringTable.HTML[name];
	}
}
function loadZapasyScreen() {
	UpdateBroker = new FeedUpdateBroker();
    UpdateBroker.fetchFeed(basicurl+"games.xml", drawZapasyScreen, 'zapas');	
}
function loadTabScreen() {
	UpdateBroker = new FeedUpdateBroker();
    UpdateBroker.fetchFeed(basicurl+"standing.xml", drawTabScreen, 'skupina');	
}
function loadStatScreen() {
	UpdateBroker = new FeedUpdateBroker();
    UpdateBroker.fetchFeed(basicurl+"stats.xml", drawStatScreen, 'stat');	
}
function loadNewsScreen() {
	UpdateBroker = new FeedUpdateBroker();
    UpdateBroker.fetchFeed(basicurl+"news-"+StringTable.locale+".xml", drawNewsScreen, 'item');	
}
function drawNewsScreen(event) {
	var md=document.getElementById('content');
	md.innerHTML='';
	var zapasy='<div id="news" class="znews ztmatch">';
	var zd='';
	for(i=0; i<event.items.length; i++) {
		var s=event.items[i];
		zd=zd+'<h3><a href="javascript:window.widget.openURL(\''+s['url']+'\')">'+s['title']+'</a></h3>';
		zd=zd+'<p>';
		if (s['imgurl']!='') {
			zd=zd+'<img src="'+s['imgurl']+'" align="left" hspace="5" />';
		}
		zd=zd+s['description']+'</p>';
	}
	zapasy=zapasy+zd+'</div>';
	zapasy=zapasy+'</div>';
	md.innerHTML=zapasy;
}
function drawStatScreen(event) {
	var md=document.getElementById('content');
	md.innerHTML='';
	var zapasy='<div id="stats">';
	var zd='';
	for(i=0; i<event.items.length; i++) {
		var s=event.items[i];
		var sb=s['table'];
		sb=sb.split("\n");
		if(s['nazov'].substring(0,4)=="team") {
			var nadpis='<img src="'+Helper.flag(s['nazov'].substring(4),true)+'" /> '+StringTable.Countries[s['nazov'].substring(4)];
		} else {
			var nadpis=StringTable.Code[s['nazov']];	
		}
		if (i>0) {
			zd=zd+'</div>'
			zapasy=zapasy+zd;
		}
		zd='<div id="tab'+s['nazov']+'"';
		if (i>0) zd=zd+' class="hidden"';
		zd=zd+'>';
		zd=zd+'<table width="100%" class="zth"><tr><td class="ztminus">';
		zd=zd+'<a href="javascript:statMinus();" class="ztminusp">&lt;&lt;</a>';
		zd=zd+'</td><td class="ztdate">'+nadpis+'</td><td class="ztplus">';
		zd=zd+'<a href="javascript:statPlus();">&gt;&gt;</a>';
		zd=zd+'</td></tr></table>';

		zd=zd+'<table class="ztab ztmatch">';
		var h=s['header'];
		h=h.split(",");
		var teamcol=-1;
		zd=zd+'<tr>';
		for (j=0;j<h.length;j++) {
			zd=zd+'<th>';
			if (h[j]!="") {
				zd=zd+StringTable.Code['tab'+h[j]];
			}
			if (h[j]=="team") teamcol=j;
			zd=zd+'</th>';
		}
		zd=zd+'</tr>';
		for(j=0;j<sb.length;j++) {
			var s2=sb[j];
			s2=s2.split(',');
			zd=zd+'<tr>';
			for (k=0;k<s2.length;k++) {
				if (k==teamcol) {
					zd=zd+'<td class="lalign"><img src="'+Helper.flag(s2[k],true)+'" /></td>'; 
				} else {
					zd=zd+'<td>'+s2[k]+'</td>';
				}
				
			}
			zd=zd+'</tr>';
		}
		zd=zd+'</table>';
	}
	zapasy=zapasy+zd+'</div>';
	zapasy=zapasy+'</div>';
	md.innerHTML=zapasy;
}

function drawTabScreen(event) {
	var md=document.getElementById('content');
	md.innerHTML='';
	var zapasy='<div id="tabulky">';
	var zd='';
	for(i=0; i<event.items.length; i++) {
		var s=event.items[i];
		var sb=s['table'];
		sb=sb.split("\n");
		var skupina=StringTable.Code.group+' '+s['nazov'];
		if (i>0) {
			zd=zd+'</div>'
			zapasy=zapasy+zd;
		}
		zd='<div id="tab'+s['nazov']+'"';
		if (i>0) zd=zd+' class="hidden"';
		zd=zd+'>';
		zd=zd+'<table width="100%" class="zth"><tr><td class="ztminus">';
		zd=zd+'<a href="javascript:tabMinus();" class="ztminusp">&lt;&lt;</a>';
		zd=zd+'</td><td class="ztdate">'+skupina+'</td><td class="ztplus">';
		zd=zd+'<a href="javascript:tabPlus();">&gt;&gt;</a>';
		zd=zd+'</td></tr></table>';

		zd=zd+'<table class="ztab ztmatch">';
		zd=zd+'<tr><th>'+StringTable.Code.tabrank+'</th><th>'+StringTable.Code.tabteam+'</th><th>'+StringTable.Code.tabgp+'</th><th>'+StringTable.Code.tabw+'</th><th>'+StringTable.Code.tabotw+'</th><th>'+StringTable.Code.tabotl+'</th><th>'+StringTable.Code.tabl+'</th><th>'+StringTable.Code.tabpts+'</th><th>'+StringTable.Code.tabgfga+'</th></tr>';
		for(j=0;j<sb.length;j++) {
			var s2=sb[j];
			s2=s2.split(',');
			zd=zd+'<tr><td>'+s2[0]+'</td><td class="lalign"><img src="'+Helper.flag(s2[1],true)+'" /> '+s2[1]+'</td><td>'+s2[2]+'</td><td>'+s2[3]+'</td><td>'+s2[4]+'</td><td>'+s2[5]+'</td><td>'+s2[6]+'</td><td>'+s2[7]+'</td><td>'+s2[8]+'</td></tr>';
		}
		zd=zd+'</table>';
	}
	zapasy=zapasy+zd+'</div>';
	zapasy=zapasy+'</div>';
	md.innerHTML=zapasy;
}

function drawZapasyScreen(event) {
	var md=document.getElementById('content');
	md.innerHTML='';
	var date0,dateN;
	for (i=0;i<event.items.length; i++) {
		if (i == 0) {
			date0 = dateN = event.items[i].date;
		}
		if (event.items[i].date>dateN) dateN=event.items[i].date;
	}
	
	var zapasy='<div id="zapasy">';
	var zd='';
	var dateold;
	for(i=0; i<event.items.length; i++) {
		var z=event.items[i];
		if (i==0 || Helper.formatDate(z.date)!=Helper.formatDate(dateold)) {
			dateold=z.date;
			if (i>0) {
				zd=zd+'</div>'
				zapasy=zapasy+zd;
			}
			zd='<div id="zapasy'+Helper.formatDate(z.date)+'"';
			//alert(date0+' '+dateN+' '+z.date);
			if (
				(i>0 && date0>new Date())
				||
				(i==event.items.length-1 && dateN<new Date())
				||
				(dateN>new Date() && date0<new Date() && Helper.formatDate(z.date)!=Helper.formatDate(new Date()))
			) zd=zd+' class="hidden"';
			zd=zd+'>';
			zd=zd+'<table width="100%" class="zth"><tr><td class="ztminus">';
			if (i>0) zd=zd+'<a href="javascript:zapasyMinus();" class="ztminusp">&lt;&lt;</a>';
			zd=zd+'</td><td class="ztdate">'+Helper.formatDate(z.date)+'</td><td class="ztplus">';
			if (Helper.formatDate(z.date)!=Helper.formatDate(dateN)) zd=zd+'<a href="javascript:zapasyPlus();">&gt;&gt;</a>';
			zd=zd+'</td></tr></table>';
		}

		zd=zd+'<table class="ztmatch"><tr>';
		zd=zd+'<td rowspan="2" class="ztht"><img src="'+Helper.flag(z['hometeam'],false)+'" /><br/><b>'+z['hometeam'].toUpperCase()+'</b></td>';
		zd=zd+'<td class="ztresult"><a href="javascript:loadZapas('+z['id']+');">'+z['result']+'</a></td>';
		zd=zd+'<td rowspan="2" class="ztat"><img src="'+Helper.flag(z['awayteam'],false)+'" /><br/><b>'+z['awayteam'].toUpperCase()+'</b></td>';
		zd=zd+'</tr><tr>';
		zd=zd+'<td class="ztresult2"><b>'+Helper.formatGroup(z['group'])+'<br/>'+Helper.formatDate(z['date'])+' '+z['time']+'</b></td>';
		zd=zd+'</tr></table>';
	}
	zapasy=zapasy+zd+'</div>';
	zapasy=zapasy+'</div>';
	md.innerHTML=zapasy;
}
function onResize(){
	if ( !Helper.isMiniViewMode() ) {
		resizeNormalView();
	}
	setViewMode();
}
function setViewMode(){
	var isInMiniView = Helper.isMiniViewMode();	
	if ( isInMiniView ) {
		Helper.show( "container", false );
		Helper.show( "mini_view", true );
		miniView.onActivated();
	} else {
		Helper.show( "mini_view", false );
		miniView.onDeactivated();
		Helper.show( "container", true );
	}
}
function resizeNormalView() {
	// Get the height or width.
	var screenSize = Helper.getScreenSize();	
	var topBar = document.getElementById( "top_bar" );
	var logoBar = document.getElementById( "logo_bar" );
	var container = document.getElementById( "container" );
	var content = document.getElementById( "content" );

	container.style.width = screenSize.width + "px";
	container.style.height = screenSize.height + "px";
		
	var largeScreen = Helper.isLargeScreen(); 
	if ( largeScreen ) {
		if ( Helper.isLandscape() ) {
			var width = (screenSize.width) + "px";
			topBar.style.width = width;
			logoBar.style.width = width;
			content.style.width = width;
			content.style.height = (screenSize.height - logoBar.offsetHeight - topBar.offsetHeight) + "px";
		} else { //portrait
			var width = screenSize.width + "px";
			topBar.style.width = width;
			logoBar.style.width = width;
			content.style.width = width;
			content.style.height = (screenSize.height - logoBar.offsetHeight - topBar.offsetHeight) + "px";
		}
	} else {	
		content.style.width = screenSize.width + "px";
		content.style.height = (screenSize.height - logoBar.offsetHeight - topBar.offsetHeight) + "px";
	}

}
function menuclicked(m) {
	switch (m) {
		case 1:
			loadZapasyScreen();
			break;
		case 2:
			loadTabScreen();
			break;
		case 3:
			loadStatScreen();
			break;
		case 4:
			loadNewsScreen();
			break;
	}
	for(i=1;i<=4;i++) {
		var pvm=document.getElementById('menu'+i+'td');
		var className = pvm.className;
		if ( className == null )
			className = "";
		if (i==m) {
			if ( className.indexOf( "menufocus") == -1 ) {
				if ( className.length > 0 )
					className += " ";
				className += "menufocus";												
			}	
		} else {
			className = className.replace( / ?menufocus/, "" );
		}
		pvm.className=className;
	}
}
function showloading() {
	var c=document.getElementById('content');
	c.innerHTML='<div id="loadingc"><br/>'+StringTable.Code.loading+'...<br/><br/><img id="loading" src="images/big_loading.gif" /></div>';
	
}
function zapasyPlus() {
	var zd=document.getElementById('zapasy');
	var shown=-1;
	for(i=0;i<zd.childNodes.length;i++) {
		var className = zd.childNodes[i].className;
		if (className.indexOf("hidden") == -1) {
			shown=i;
			break;
		}
	}
	if (shown>-1) {
		zd.childNodes[i].className='hidden';
		zd.childNodes[i+1].className='';
	}
}
function zapasyMinus() {
	var zd=document.getElementById('zapasy');
	var shown=-1;
	for(i=0;i<zd.childNodes.length;i++) {
		var className = zd.childNodes[i].className;
		if (className.indexOf("hidden") == -1) {
			shown=i;
			break;
		}
	}
	if (shown>-1) {
		zd.childNodes[i].className='hidden';
		zd.childNodes[i-1].className='';
	}
}
function tabPlus() {
	var zd=document.getElementById('tabulky');
	var shown=-1;
	for(i=0;i<zd.childNodes.length;i++) {
		var className = zd.childNodes[i].className;
		if (className.indexOf("hidden") == -1) {
			shown=i;
			break;
		}
	}
	if (shown>-1) {
		zd.childNodes[i].className='hidden';
		if (shown==zd.childNodes.length-1) {
			zd.childNodes[0].className='';
		} else {
			zd.childNodes[i+1].className='';
		}
		
	}
}
function tabMinus() {
	var zd=document.getElementById('tabulky');
	var shown=-1;
	for(i=0;i<zd.childNodes.length;i++) {
		var className = zd.childNodes[i].className;
		if (className.indexOf("hidden") == -1) {
			shown=i;
			break;
		}
	}
	if (shown>-1) {
		zd.childNodes[i].className='hidden';
		if (shown==0) {
			zd.childNodes[zd.childNodes.length-1].className='';
		} else {
			zd.childNodes[i-1].className='';
		}
	}
}
function statPlus() {
	var zd=document.getElementById('stats');
	var shown=-1;
	for(i=0;i<zd.childNodes.length;i++) {
		var className = zd.childNodes[i].className;
		if (className.indexOf("hidden") == -1) {
			shown=i;
			break;
		}
	}
	if (shown>-1) {
		zd.childNodes[i].className='hidden';
		if (shown==zd.childNodes.length-1) {
			zd.childNodes[0].className='';
		} else {
			zd.childNodes[i+1].className='';
		}
		
	}
}
function statMinus() {
	var zd=document.getElementById('stats');
	var shown=-1;
	for(i=0;i<zd.childNodes.length;i++) {
		var className = zd.childNodes[i].className;
		if (className.indexOf("hidden") == -1) {
			shown=i;
			break;
		}
	}
	if (shown>-1) {
		zd.childNodes[i].className='hidden';
		if (shown==0) {
			zd.childNodes[zd.childNodes.length-1].className='';
		} else {
			zd.childNodes[i-1].className='';
		}
	}
}
function loadZapas(id) {
	UpdateBroker = new FeedUpdateBroker();
    UpdateBroker.fetchFeed(basicurl+"zapas"+id+".xml", drawZapasScreen, 'zapas');	
}
function drawZapasScreen(e){
	var md=document.getElementById('content');
	var z=e.items[0];
	var zd='<div id="zapas">';
		zd=zd+'<table class="ztmatch"><tr>';
		zd=zd+'<td rowspan="2" class="ztht"><img src="'+Helper.flag(z['hometeam'],false)+'" /><br/><b>'+z['hometeam'].toUpperCase()+'</b></td>';
		zd=zd+'<td class="ztresult">'+z['result']+'</td>';
		zd=zd+'<td rowspan="2" class="ztat"><img src="'+Helper.flag(z['awayteam'],false)+'" /><br/><b>'+z['awayteam'].toUpperCase()+'</b></td>';
		zd=zd+'</tr><tr>';
		zd=zd+'<td class="ztresult2"><b>'+Helper.formatDate(z['date'])+' '+z['time']+'</b></td>';
		zd=zd+'<tr><td class="ztresult2" colspan="3">'+StringTable.Code.periods+': '+z['periods']+'</td></tr>';
		zd=zd+'<tr><td class="ztresult2" colspan="3">'+StringTable.Code.shots+': '+z['shots']+'</td></tr>';
		var gameplay=z['gameplay'];
		if (gameplay!='-' && gameplay!="") {
			var g2=gameplay.split("\n");
			zd=zd+'<tr><td class="ztgameplay" colspan="3"><table>';
			for (i=0;i<g2.length;i++) {
				var g3=g2[i].split(",");
				zd=zd+'<tr><td>'+g3[0]+'</td><td><img src="'+Helper.flag(g3[2],true)+'" /></td><td>';
				switch(g3[1]) {
					case 'g':
						zd=zd+StringTable.Code.goal;
						break;
					case 'shg':
						zd=zd+StringTable.Code.shgoal;
						break;
					case 'ppg':
						zd=zd+StringTable.Code.ppgoal;
						break;
					case 'p':
						zd=zd+StringTable.Code.penalty;
						break;
					default: 
				}
				zd=zd+'</td><td>'+g3[3]+'</td></tr>';
			}
			zd=zd+'</table></td></tr>';
		}
		zd=zd+'</tr></table>';

	md.innerHTML=zd;
}
function splash() {
	Helper.show('top_bar',false);
	Helper.show('logo_bar',false);
	var md=document.getElementById('content');
	md.innerHTML='<div id="splash">&nbsp;</div>';
	Helper.applyCorrectStyles();
	setTimeout("Helper.show('top_bar',true);Helper.show('logo_bar',true);Helper.show('splash',false);onResize();menuclicked(1);",1000);
}